# Base image
FROM ubuntu:latest

LABEL maintainer="hartman@itc.rwth-aachen.de"

RUN apt-get update && \
    apt-get install -y emacs && \
    apt-get clean && \
    rm -rf /var/lib/apt/lists/*

RUN emacs --batch --eval "\
    (require 'package) \
    (add-to-list 'package-archives '(\"melpa\" . \"https://melpa.org/packages/\")) \
    (package-initialize) \
    (package-refresh-contents) \
    (package-install 'org-roam) \
    (package-install 'crdt)"

# Set the default command to run Emacs in text mode
CMD ["emacs", "-nw"]
